[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# InvalidPoint

Check whether a point is invalid.

## Declaration

Source position: classesh.inc line 2213

`function InvalidPoint(`
`X: Integer;`
`Y: Integer`
`):Boolean; function InvalidPoint(`
`const At: TPoint`
`):Boolean; function InvalidPoint(`
`const At: TSmallPoint`
`):Boolean;`

## Description

InvalidPoint returns True if the X and Y coordinates (of the TPoint or TSmallPoint records, if one of these versions is used) are -1.

## See also

TPoint |  | Special type to handle a fake TComponent position
TSmallPoint |  | Type to describe point in a small plane.
PointsEqual |  | Check whether two TPoint variables are equal.